Summary:	WebKit bindings for Mono
Name:		webkit-sharp
Version:	0.3
Release:	7
Source0:	%{name}-%{version}.tar.bz2
Patch0:		webkit-sharp-0.3-fedora-dllmap.patch
License:	MIT
Group:		Development/Other
Url:		http://mono.ximian.com/monobuild/preview/sources/webkit-sharp/
BuildRequires:	pkgconfig(webkit-1.0)
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2
BuildRequires:	monodoc
BuildArch:	noarch

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser. It is made to be embedded in other
applications, such as mail readers, or web browsers.

This package provides Mono bindings for WebKit libraries.

%package doc
Summary:	Development documentation for %{name}
Group:		Development/Other
Requires(post):		mono-tools >= 1.1.9
Requires(postun):	mono-tools >= 1.1.9

%description doc
This package contains the API documentation for %{name} in
Monodoc format.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This package contains the development files needed to build with %{name}.

%prep
%setup -q
%apply_patches

%build
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib
make

%install
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig

%post doc
%{_bindir}/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then %{_bindir}/monodoc --make-index > /dev/null
fi

%files
%doc AUTHORS
%{_prefix}/lib/mono/gac/webkit-sharp
%{_prefix}/lib/mono/webkit-sharp

%files devel
#gw this contains a dep on pkgconfig(gtk-sharp-2.0)
%{_datadir}/pkgconfig/*.pc

%files doc
%{_prefix}/lib/monodoc/sources/%{name}*


%changelog
* Wed Jan 21 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.3-7
+ Revision: 8e04d49
- Patch dllmap to use webkitgtk-1.0


